Headless LMS

Get a short-lived presigned URL to download/serve an asset

POST /api/assets/{id}/download-url. Get a short-lived presigned URL to download/serve an asset. Headless LMS Assets API reference.

POST
/api/assets/{id}/download-url

Path Parameters

id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/assets/string/download-url" \  -H "Content-Type: application/json" \  -d '{}'
{  "url": "string",  "asset": {    "orgId": "string",    "id": "string",    "key": "string",    "kind": "video",    "filename": "string",    "contentType": "string",    "size": 0,    "status": "pending",    "uploadedBy": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z"  }}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}
{  "error": "string",  "message": "string",  "requestId": "string"}